package com.shigongli.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.shigongli.entity.TaHouse;
import com.shigongli.entity.TaPerson;
import com.shigongli.mapper.TaHouseMapper;
import com.shigongli.service.ITaHouseService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 房源 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-12-11
 */
@Service
public class TaHouseServiceImpl extends ServiceImpl<TaHouseMapper, TaHouse> implements ITaHouseService {

    @Autowired
    TaHouseMapper taHouseMapper;

    @Override
    public IPage<TaHouse> getHousesOfKeeper(IPage<TaHouse> pg, TaPerson taPerson) {

        return taHouseMapper.getHousesOfKeeper(pg, taPerson.getPersonId());
    }
}
