package com.shigongli.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(description = "修改标签图片参数")
@Data
public class ImageTagUpdateParams {

    @ApiModelProperty("原有 tagid")
    private String[] originTags;
    @ApiModelProperty("原有 imageid")
    private String originImage;

    @ApiModelProperty("修改之后的 tagid")
    private String[] newTags;
    @ApiModelProperty("修改之后的 imageid")
    private String newImage;
}
